// pages/details/details.js
const getReq = require('./../../config.js').getReq

Page({

  /**
   * 页面的初始数据
   */
  data: {
    imgUrls: [],
    datas: {},
    getOneSummary: [],
    webViewUrl: '',
    indicatorDots: true,
    vertical: false,
    autoplay: true,
    interval: 2000,
    duration: 500
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let webViewUrl = `https://passport.lrlz.com/mobile/index.php?act=goods_common&op=detail&goods_id=${options.goods_id}&client_type=ios`
    this.setData({
      webViewUrl
    })
    this.getDatas(options.goods_id)
  },
  getDatas(goods_id) {
    var self = this
    getReq({
      act: 'goods_common',
      op: 'index',
      goods_id
    }, function (res) {
      if (res.code == 200) {
        let getOneSummary = res.datas.summary.filter((item, index) => {
          return item.goods_id == goods_id
        })
        console.log('---')
        console.log(getOneSummary[0])

        self.setData({
          datas: res.datas,
          getOneSummary: getOneSummary[0],
          imgUrls: res.datas.common_info.images
        })
        
      }
    })
  },
  toWebView() {
    let webViewUrl = encodeURIComponent(this.data.webViewUrl)
    wx.navigateTo({
      url: `/pages/webView/webView?url=${webViewUrl}`
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})